Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class MeshMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.MeshMS3D

    public class MeshMS3D

extends java.lang.Object

A Mesh is a group of related triangles in MS3D.

Version:
  0.1
Author:
  naj

Field Summary
`int` | `flags` The flags in MS3D.
`int` | `materialIndex` The index into the array of materials in the model
`java.lang.String` | `name` The name of the mesh in MS3D.
`float[][]` | `normals` The normals in the mesh.
`int` | `numberNormals` The number of normal vectors in the mesh.
`int` | `numberTriangles` The number of triangles in the mesh.
`int` | `numberVertices` The number of vertices in the mesh.
`TriangleMS3D[]` | `triangles` The traingles in the mesh.
`VertexMS3D[]` | `vertices` The vertices in the mesh.

Constructor Summary
`MeshMS3D()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the mesh in MS3D.

### flags

    public int flags

  The flags in MS3D.

### materialIndex

    public int materialIndex

  The index into the array of materials in the model. -1 indicates that the mesh does not have a material assigned to it.

### numberVertices

    public int numberVertices

  The number of vertices in the mesh.

### numberNormals

    public int numberNormals

  The number of normal vectors in the mesh.

### numberTriangles

    public int numberTriangles

  The number of triangles in the mesh.

### vertices

    public VertexMS3D[] vertices

  The vertices in the mesh.

### normals

    public float[][] normals

  The normals in the mesh. Stores as an array of (x,y,z) arrays.

### triangles

    public TriangleMS3D[] triangles

  The traingles in the mesh.

Constructor Detail

### MeshMS3D

    public MeshMS3D()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD